%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Beamer Presentation
% LaTeX Template
% Version 1.0 (10/11/12)
%
% This template has been downloaded from:
% http://www.LaTeXTemplates.com
%
% License:
% CC BY-NC-SA 3.0 (http://creativecommons.org/licenses/by-nc-sa/3.0/)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%----------------------------------------------------------------------------------------
%	PACKAGES AND THEMES
%----------------------------------------------------------------------------------------

\documentclass{beamer}

\mode<presentation> {

% The Beamer class comes with a number of default slide themes
% which change the colors and layouts of slides. Below this is a list
% of all the themes, uncomment each in turn to see what they look like.

%\usetheme{default}
%\usetheme{AnnArbor} %boje lice na pajton boje
%\usetheme{Antibes}
%\usetheme{Bergen}
%\usetheme{Berkeley}
%\usetheme{Berlin}
%\usetheme{Boadilla}
%\usetheme{CambridgeUS}
%\usetheme{Copenhagen}
%\usetheme{Darmstadt}
%\usetheme{Dresden}
%\usetheme{Frankfurt}
%\usetheme{Goettingen} %ovaj nije los
%\usetheme{Hannover}
%\usetheme{Ilmenau}
%\usetheme{JuanLesPins}
%\usetheme{Luebeck}
%\usetheme{Madrid}
%\usetheme{Malmoe} %moze da prodje
\usetheme{Marburg} %ovaj staje sve na svaki slajd
%\usetheme{Montpellier}
%\usetheme{PaloAlto}
%\usetheme{Pittsburgh}
%\usetheme{Rochester} %moze da prodje
%\usetheme{Singapore}
%\usetheme{Szeged}
%\usetheme{Warsaw}

% As well as themes, the Beamer class has a number of color themes
% for any slide theme. Uncomment each of these in turn to see how it
% changes the colors of your current slide theme.

%\usecolortheme{albatross}
%\usecolortheme{beaver}
%\usecolortheme{beetle}
%\usecolortheme{crane}
\usecolortheme{dolphin}
%\usecolortheme{dove}
%\usecolortheme{fly}
%\usecolortheme{lily}
%\usecolortheme{orchid}
%\usecolortheme{rose}
%\usecolortheme{seagull}
%\usecolortheme{seahorse}
%\usecolortheme{whale}
%\usecolortheme{wolverine}

\setbeamertemplate{footline} % To remove the footer line in all slides uncomment this line
%\setbeamertemplate{footline}[page number] % To replace the footer line in all slides with a simple slide count uncomment this line

\setbeamertemplate{navigation symbols}{} % To remove the navigation symbols from the bottom of all slides uncomment this line
}
\usepackage[english,serbian]{babel}
\usepackage[utf8]{inputenc}
\usepackage{listings}
\usepackage{graphicx} % Allows including images
\usepackage{booktabs} % Allows the use of \toprule, \midrule and \bottomrule in tables
% Default fixed font does not support bold face
\newtheorem{primer}{Primer}[section]

\definecolor{mygreen}{rgb}{0,0.6,0}
\definecolor{mygray}{rgb}{0.5,0.5,0.5}
\definecolor{mymauve}{rgb}{0.58,0,0.82}

\lstset{ 
  backgroundcolor=\color{white},   % choose the background color; you must add \usepackage{color} or \usepackage{xcolor}; should come as last argument
  basicstyle=\scriptsize\ttfamily,        % the size of the fonts that are used for the code
  breakatwhitespace=false,         % sets if automatic breaks should only happen at whitespace
  breaklines=true,                 % sets automatic line breaking
  captionpos=b,                    % sets the caption-position to bottom
  commentstyle=\color{mygreen},    % comment style
  deletekeywords={...},            % if you want to delete keywords from the given language
  escapeinside={\%*}{*)},          % if you want to add LaTeX within your code
  extendedchars=true,              % lets you use non-ASCII characters; for 8-bits encodings only, does not work with UTF-8
  firstnumber=1000,                % start line enumeration with line 1000
  frame=none,	                   % adds a frame around the code
  keepspaces=true,                 % keeps spaces in text, useful for keeping indentation of code (possibly needs columns=flexible)
  keywordstyle=\color{blue},       % keyword style
  language=Python,                 % the language of the code
  morekeywords={*,...},            % if you want to add more keywords to the set
  numbers=none,                    % where to put the line-numbers; possible values are (none, left, right)
  numbersep=5pt,                   % how far the line-numbers are from the code
  numberstyle=\tiny\color{mygray}, % the style that is used for the line-numbers
  rulecolor=\color{black},         % if not set, the frame-color may be changed on line-breaks within not-black text (e.g. comments (green here))
  showspaces=false,                % show spaces everywhere adding particular underscores; it overrides 'showstringspaces'
  showstringspaces=false,          % underline spaces within strings only
  showtabs=false,                  % show tabs within strings adding particular underscores
  stepnumber=2,                    % the step between two line-numbers. If it's 1, each line will be numbered
  stringstyle=\color{mymauve},     % string literal style
  tabsize=2,	                   % sets default tabsize to 2 spaces
  title=\lstname                   % show the filename of files included with \lstinputlisting; also try caption instead of title
}
%----------------------------------------------------------------------------------------
%	TITLE PAGE
%----------------------------------------------------------------------------------------

\title[Tourist Agency]{Tourist Agency} % The short title appears at the bottom of every slide, the full title is only on the title page

\author{Boris Karanović, Katarina Živković, Dimitrije Sekulić, Sandra Radojević} % Your name
\institute[UCLA] % Your institution as it will appear on the bottom of every slide, may be shorthand to save space
{
Matematički fakultet, Beograd \\ % Your institution for the title page
\medskip
%\textit{john@smith.com} % Your email address
}
\date{\today} % Date, can be changed to a custom date

\begin{document}
\begingroup
\makeatletter
\setlength{\hoffset}{.5\beamer@sidebarwidth}
\makeatother
\begin{frame}[plain]
    \titlepage
\end{frame}
\endgroup


%\begin{frame}[plain]
%\frametitle{Sadržaj} % Table of contents slide, comment this block out to remove it
%\tableofcontents % Throughout your presentation, if you choose to use \section{} and \subsection{} commands, these will automatically be printed on this slide as an overview of your presentation
%\end{frame}

%----------------------------------------------------------------------------------------
%	PRESENTATION SLIDES
%----------------------------------------------------------------------------------------

%------------------------------------------------
\section{Uvod} % Sections can be created in order to organize your presentation into discrete blocks, all sections and subsections are automatically printed in the table of contents as an overview of the talk
%------------------------------------------------
\subsection{Ideja}

\begin{frame}{Ideja}
\begin{figure}[h!]
\begin{center}
\includegraphics[scale = 0.32]{destinacije.png}
\end{center}

\end{figure}
\end{frame}
\begin{frame}{Ideja}
\begin{figure}[h!]
\begin{center}
\includegraphics[scale = 0.4]{imageedit.png}
\end{center}
\end{figure}

\begin{itemize}
\item{Baza čuva lokacije, ponude, hotele...}
\item{Server posreduje i pravi rezervacije za korisnika}
\item{Klijent koristi veb sajt da pregleda i odluči se za rezervaciju}
\end{itemize}
\end{frame}

\subsection{Tehnologije}
\begin{frame}{Tehnologije}


\begin{figure}[h!]
\begin{center}
\includegraphics[scale = 0.23]{tehnologije.png}
\end{center}
\caption{Korišćene tehnologije}
\label{1}
\end{figure}
\end{frame}



\section{Front End}
 \begin{frame}{Front End}
Implementirali smo:
\begin{itemize}
    \item Jednostavan i funkcionalan dizajn
    \item Veliki broj turističkih ponuda za korisnika
    \item Validaciju unosa
    \item Rezervaciju turističkih ponuda u željenom periodu 
    \item Slanje pitanja i poruka
\end{itemize}
\end{frame}
 \begin{frame}{Front End}
\begin{figure}[h!]
\begin{center}
\includegraphics[scale = 0.13]{naslovna.png}
\end{center}
\caption{Početna strana}
\label{1}
\end{figure}
\end{frame}




\section{Back End}
\subsection{}
\begin{frame}{Back End}
Implementirali smo:
\begin{itemize}
    \item Funkcionalan server
    \item Neophodne sheme i modele
    \item Validaciju zahteva
    \item Sprovođenje velikog broja zahteva za različite rute 
\end{itemize}
\end{frame}
\begin{frame}{}

\begin{figure}[h!]
\begin{center}
\includegraphics[scale = 0.35]{dbs.png}
\end{center}
\caption{Deo baze}
\label{1}
\end{figure}
    
\end{frame}


\section{Kraj}
\subsection{Literatura}
\begin{frame}{Literatura}
\begin{itemize}
    \item angular.io/docs
    \item nodejs.org/en/docs/
    \item gitlab.com/matfpveb/materijali/2019-2020
    \item youtube.com/user/programmingwithmosh
    \item stackoverflow.com
\end{itemize}

\end{frame}

\begin{frame}{}
\bigskip
\bigskip
\Huge{\centerline{Hvala na pažnji!}}

\end{frame}


\begin{frame}
\Huge{\centerline{Pitanja?}}
\end{frame}

%----------------------------------------------------------------------------------------

\end{document} 
